﻿@model OnlineLibrary.Data.Entities.Book

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>Book</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ReleaseDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ReleaseDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Writer.UserName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Writer.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Genre.GenreName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Genre.GenreName)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
